Bug 180209 - [UPDATE][PATCH] Recursive dependency: devel/p5-Moose devel/p5-Test-DependentModules
Summary: [UPDATE][PATCH] Recursive dependency: devel/p5-Moose devel/p5-Test-DependentM...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-perl (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-02 19:10 UTC by Anes Mukhametov
Modified: 2013-07-09 10:00 UTC (History)
1 user (show)

See Also:


Attachments
p5-Moose.patch (690 bytes, patch)
2013-07-02 19:10 UTC, Anes Mukhametov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anes Mukhametov 2013-07-02 19:10:00 UTC
	There is recursive dependency between devel/p5-Test-DependentModules and devel/p5-Moose which breaks tinderbox package building process.
	Dependency graph: devel/p5-Test-DependentModules -> devel/p5-MetaCPAN-API -> devel/p5-Any-Moose -> devel/p5-Moose -> devel/p5-Test-DependentModules
	Related pr: ports/178405

Fix: Simple way to fix this issue is to remove devel/p5-Test-DependentModules test dependency from devel/p5-Moose.
How-To-Repeat: 	Build devel/p5-Moose within tinderbox.
Comment 1 Edwin Groothuis freebsd_committer 2013-07-02 19:10:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

Over to maintainer (via the GNATS Auto Assign Tool) 

http://www.freebsd.org/cgi/query-pr.cgi?pr=180209 

Date: Tue, 2 Jul 2013 11:17:18 -0700
Comment 2 Anes Mukhametov 2013-07-02 20:18:54 UTC
You may find it here:
http://svnweb.freebsd.org/ports/head/devel/p5-Moose/Makefile?view=markup
BUILD_DEPENDS is a list of modules required to run Moose. TEST_DEPENDS
contains modules required for tests.
Comment 3 Karen Etheridge 2013-07-02 22:04:08 UTC
On Tue, Jul 02, 2013 at 11:18:54PM +0400, Anes Mukhametov wrote:
> You may find it here:
> http://svnweb.freebsd.org/ports/head/devel/p5-Moose/Makefile?view=markup
> BUILD_DEPENDS is a list of modules required to run Moose. TEST_DEPENDS
> contains modules required for tests.

There are a number of errors in the dependencies listed here -- many
of them are only needed when actually developing Moose itself, not simply
using it.

The canonical dependencies are listed here:
https://metacpan.org/source/ETHER/Moose-2.0802/META.json

You should only need those listed under these sections:
- prereqs-configure-requires
- prereqs-runtime-requires
- prereqs-test-requires
but *not* the 'develop' sections.

Therefore, these packages should be removed from the DEPENDS lists:

p5-DBM-Deep>=0:${PORTSDIR}/databases/p5-DBM-Deep \
p5-DateTime-Format-MySQL>=0:${PORTSDIR}/devel/p5-DateTime-Format-MySQL \
p5-Declare-Constraints-Simple>=0:${PORTSDIR}/devel/p5-Declare-Constraints-Simple \
p5-IO-String>=0:${PORTSDIR}/devel/p5-IO-String \
p5-Module-Refresh>=0.01:${PORTSDIR}/devel/p5-Module-Refresh \
p5-SUPER>=0:${PORTSDIR}/devel/p5-SUPER \
p5-Test-Deep>=0:${PORTSDIR}/devel/p5-Test-Deep \
p5-Test-LeakTrace>=0:${PORTSDIR}/devel/p5-Test-LeakTrace \
p5-Test-Memory-Cycle>=0:${PORTSDIR}/devel/p5-Test-Memory-Cycle \
p5-Test-Output>=0:${PORTSDIR}/devel/p5-Test-Output \
p5-Test-DependentModules>=0.13:${PORTSDIR}/devel/p5-Test-DependentModules \


thanks!

-- 
           "If you're gonna be dumb, you gotta be tough. Personally,
              I'm trying to be less dumb." - sriddy@dropzone.com
            .             .            .            .             .
Karen Etheridge, karen@etheridge.ca       GCS C+++$ USL+++$ P+++$ w--- M++
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2013-07-03 01:38:24 UTC
State Changed
From-To: open->open

include misfiled PRs. 


Comment 5 Mark Linimon freebsd_committer freebsd_triage 2013-07-03 01:38:24 UTC
Responsible Changed
From-To: perl->perl
Comment 6 dfilter service freebsd_committer 2013-07-09 09:51:44 UTC
Author: tobez
Date: Tue Jul  9 08:51:35 2013
New Revision: 322549
URL: http://svnweb.freebsd.org/changeset/ports/322549

Log:
  Remove test dependencies that are not actually required.
  
  PR:		180209
  Submitted by:	Anes Mukhametov <anes@anes.su>

Modified:
  head/devel/p5-Moose/Makefile

Modified: head/devel/p5-Moose/Makefile
==============================================================================
--- head/devel/p5-Moose/Makefile	Tue Jul  9 07:26:49 2013	(r322548)
+++ head/devel/p5-Moose/Makefile	Tue Jul  9 08:51:35 2013	(r322549)
@@ -3,6 +3,7 @@
 
 PORTNAME=	Moose
 PORTVERSION=	2.0802
+PORTREVISION=	1
 PORTEPOCH=	1
 CATEGORIES=	devel perl5
 MASTER_SITES=	CPAN
@@ -34,19 +35,8 @@ BUILD_DEPENDS=	\
 	p5-Try-Tiny>=0.02:${PORTSDIR}/lang/p5-Try-Tiny
 RUN_DEPENDS:=	${BUILD_DEPENDS}
 TEST_DEPENDS=	\
-	p5-DBM-Deep>=0:${PORTSDIR}/databases/p5-DBM-Deep \
-	p5-DateTime-Format-MySQL>=0:${PORTSDIR}/devel/p5-DateTime-Format-MySQL \
-	p5-Declare-Constraints-Simple>=0:${PORTSDIR}/devel/p5-Declare-Constraints-Simple \
-	p5-IO-String>=0:${PORTSDIR}/devel/p5-IO-String \
-	p5-Module-Refresh>=0.01:${PORTSDIR}/devel/p5-Module-Refresh \
-	p5-SUPER>=0:${PORTSDIR}/devel/p5-SUPER \
-	p5-Test-Deep>=0:${PORTSDIR}/devel/p5-Test-Deep \
 	p5-Test-Fatal>=0.001:${PORTSDIR}/devel/p5-Test-Fatal \
-	p5-Test-LeakTrace>=0:${PORTSDIR}/devel/p5-Test-LeakTrace \
-	p5-Test-Memory-Cycle>=0:${PORTSDIR}/devel/p5-Test-Memory-Cycle \
-	p5-Test-Output>=0:${PORTSDIR}/devel/p5-Test-Output \
 	p5-Test-Requires>=0.05:${PORTSDIR}/devel/p5-Test-Requires \
-	p5-Test-DependentModules>=0.13:${PORTSDIR}/devel/p5-Test-DependentModules \
 	p5-Test-CheckDeps>=0:${PORTSDIR}/devel/p5-Test-CheckDeps
 
 CFLAGS+=	-I.	# mop.h
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Anton Berezin freebsd_committer 2013-07-09 09:52:02 UTC
State Changed
From-To: open->closed

The fix has been committed. Thank you for your submission.